Bug 8269 - REGRESSION: disabled text field does not display greyed-out text
Summary: REGRESSION: disabled text field does not display greyed-out text
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Adele Peterson
URL:
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2006-04-08 17:05 PDT by Chris Petersen
Modified: 2006-04-20 23:02 PDT (History)
0 users

See Also:


Attachments
Input text element with disabled attribute (252 bytes, text/html)
2006-04-08 17:07 PDT, Chris Petersen
no flags Details
patch (25.51 KB, patch)
2006-04-17 14:41 PDT, Adele Peterson
darin: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petersen 2006-04-08 17:05:00 PDT
Input text fields that use the disabled attribute don't display their content as dimmed or grey. With Safari 2.0.3, input fields that use the disabled attribute display it's text content with a grey value.


* STEPS TO REPRODUCE
1. With TOT Webkit, load the test case "input_disabled.html"
2. Notice the text displayed in the text field is displayed as black.
3. This text should be grey to indicate the field as disabled.

* REGRESSION
Yes, this works in Safari 2.0.3.
Comment 1 Chris Petersen 2006-04-08 17:07:47 PDT
Created attachment 7588 [details]
Input text element with disabled attribute
Comment 2 Chris Petersen 2006-04-08 17:09:13 PDT
This has been filed as <rdar://problem/4507660>
Comment 3 Adele Peterson 2006-04-17 14:41:01 PDT
Created attachment 7778 [details]
patch
Comment 4 Adele Peterson 2006-04-17 14:49:03 PDT
Comment on attachment 7778 [details]
patch

there are still a few more layout tests that I'll need to update
Comment 5 Darin Adler 2006-04-17 17:32:38 PDT
Comment on attachment 7778 [details]
patch

I gave Adele a bunch of comments in person and she's working on a new patch.
Comment 6 Adele Peterson 2006-04-17 23:37:46 PDT
Darin reviewed an updated fix.
Comment 7 Chris Petersen 2006-04-20 23:02:34 PDT
Verified with latest TOT Webkit build (r13990).